cockpit-machines (339-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Mon, 08 Sep 2025 12:29:56 +0000

cockpit-machines (339-1) unstable; urgency=medium

  * New upstream release:
    - Serial consoles now keep their content and stay alive
    - No longer copies qemu.conf values into VM definitions

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Sep 2025 09:15:47 +0000

cockpit-machines (338-1) unstable; urgency=medium

  * New upstream release:
    - Detachable VNC console

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Aug 2025 08:41:10 +0000

cockpit-machines (336-1) experimental; urgency=medium

  * New upstream release:
    - Graphical VNC and serial consoles improvements
    - Control VNC console resizing and scaling
  * autopkgtest: Fix kernel version comparison.
    This was only supposed to apply to 6.1.x, not e.g. 6.15. The bug was
    fixed in 6.3.
  * autopkgtest: Show non-matching output.
    This makes failing tests easier to debug.
  * autopkgtest: Move cookie jar to home directory.
    Ubuntu's most recent AppArmor policy introduced a policy for curl which
    disallows reading files in /tmp.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Jul 2025 07:02:48 +0200

cockpit-machines (335-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Jul 2025 09:42:20 +0200

cockpit-machines (334-1) experimental; urgency=medium

  * New upstream release:
    - Virtual network interfaces can now select source mode
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 08:01:39 +0200

cockpit-machines (332-1) unstable; urgency=medium

  * New upstream bug fix release:
    - The "shareable" attribute of disks is no longer modified by Cockpit
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 May 2025 05:26:45 +0000

cockpit-machines (331-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2025 12:05:25 +0000

cockpit-machines (330-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:54:16 +0000

cockpit-machines (329-1) unstable; urgency=medium

  * New upstream release:
    - Fix launching remote viewer

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:05:54 +0100

cockpit-machines (328-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:35:21 +0000

cockpit-machines (327-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Promote virtinst Recommends to Depends. Managing existing machines calls
    "virt-xml", which is also contained in that package.
  * Prefer new "virt-install" name over old "virtinst".

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jan 2025 10:27:30 +0000

cockpit-machines (326-1) unstable; urgency=medium

  * New upstream release:
    - Download and install unsupported and older operating systems

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Dec 2024 03:29:06 +0000

cockpit-machines (325-2) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice on LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Dec 2024 00:09:28 +0000

cockpit-machines (325-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Dec 2024 11:19:56 +0100

cockpit-machines (324-1) unstable; urgency=medium

  * New upstream release:
    - Limit size of descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:18:42 +0100

cockpit-machines (323-1) unstable; urgency=medium

  * New upstream release:
    - Action to add a TPM

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Nov 2024 14:11:30 +0100

cockpit-machines (322-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 11:02:39 +0200

cockpit-machines (321-1) unstable; urgency=medium

  * New upstream release:
    - Drop usage of virtinterfaced

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2024 14:57:08 +0000

cockpit-machines (320-1) unstable; urgency=medium

  * New upstream release:
    - Improve snapshot memory path handling
    - Add support for VM descriptions

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Sep 2024 13:03:45 +0200

cockpit-machines (319-1) unstable; urgency=medium

  * New upstream bug fix release.
  * debian/gbp.conf: Enable pristine-tar

 -- Martin Pitt <mpitt@debian.org>  Sun, 15 Sep 2024 17:56:17 +0200

cockpit-machines (318-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 20 Aug 2024 10:25:39 +0200

cockpit-machines (317-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Aug 2024 11:14:20 +0200

cockpit-machines (316-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jul 2024 11:49:39 +0200

cockpit-machines (315-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jun 2024 14:23:36 +0200

cockpit-machines (314-2) unstable; urgency=medium

  * autopkgtest: Adjust DynamicUser= workaround.
    cockpit dropped the static adduser from its postinst and moved the hack
    into its autopkgtest. Follow suit. Also restrict the hack to running
    inside of a container, as it works fine on the host. Add bug reference.

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2024 08:11:11 +0200

cockpit-machines (314-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Jun 2024 09:29:49 +0200

cockpit-machines (313-3) unstable; urgency=medium

  * autopkgtest: Adjust for test running as root
  * autopkgtest: Add logs for debugging failure

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 19:35:59 +0200

cockpit-machines (313-2) unstable; urgency=medium

  * autopkgtest: Add workaround for stable kernel+LXC breaking DynamicUser=.
    Our autopkgtest fails in ci.debian.net with "Failed to update dynamic user
    credentials: Permission denied".
    This is a bug with the Debian 12 kernel and LXC, and doesn't reproduce
    when running on the host with the old kernel, or running LXC+kernel on
    testing. We don't even *actually* use a DynamicUser= there, it's statically
    allocated.
    Taken from https://salsa.debian.org/utopia-team/cockpit/-/commit/36c1e44

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jun 2024 09:19:56 +0200

cockpit-machines (313-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Jun 2024 06:52:55 +0200

cockpit-machines (312-1) unstable; urgency=medium

  * New upstream release:
    - Allow pasting multiple SSH keys at once in Create VM dialog
    - Fix detaching host device for running VMs

 -- Martin Pitt <mpitt@debian.org>  Fri, 26 Apr 2024 07:38:50 +0200

cockpit-machines (310-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 30 Mar 2024 12:31:43 +0100

cockpit-machines (309-1) unstable; urgency=medium

  * New upstream release:
    - Add TPM when switching to EFI
    - Update RHEL doc links to release 9

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Mar 2024 14:01:36 +0100

cockpit-machines (307-1) unstable; urgency=medium

  * New upstream release:
    - Mass SPICE replacement
    - Pre-formatted Block Device storage pool support

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Feb 2024 13:57:48 +0000

cockpit-machines (306-1) unstable; urgency=medium

  * New upstream release:
    - Action to Replace SPICE devices
    - Create external snapshots when supported

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Jan 2024 17:28:44 +0100

cockpit-machines (305-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Jan 2024 15:09:12 +0100

cockpit-machines (304-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 17 Dec 2023 08:35:07 +0000

cockpit-machines (303-1) unstable; urgency=medium

  * New upstream release:
    - Change "Add disk" default behavior

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Nov 2023 10:15:30 +0000

cockpit-machines (302-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2023 07:42:28 +0100

cockpit-machines (301-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Nov 2023 09:48:14 +0100

cockpit-machines (300-1) unstable; urgency=medium

  * New upstream release:
    - Add SSH keys to VM creation dialog

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Oct 2023 08:07:59 +0200

cockpit-machines (299-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Sep 2023 07:15:29 +0200

cockpit-machines (298-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2023 16:05:47 +0200

cockpit-machines (297-1) unstable; urgency=medium

  * New upstream bug fix release.
    - Remove po/LINGUAS during package cleaning (Closes: #1043775)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Aug 2023 13:01:23 +0200

cockpit-machines (296-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Aug 2023 23:24:17 +0200

cockpit-machines (295-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 10:24:56 +0000

cockpit-machines (294-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jul 2023 07:58:47 +0000

cockpit-machines (293-1) unstable; urgency=medium

  * New upstream release:
    - Confirm shutdown actions
    - Show virtual interface's TAP device

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Jun 2023 14:58:07 +0000

cockpit-machines (292-1) unstable; urgency=medium

  * New upstream release:
    - Update to PatternFly 5 Alpha
    - Option to use RAW volume during VM creation
    - Redesign VM’s CPU configuration
    - Apply watchdog changes on next boot if hotplug fails
    - Vsock device support
    - Add manifest condition for the Python bridge

 -- Martin Pitt <mpitt@debian.org>  Sat, 17 Jun 2023 09:18:22 +0000

cockpit-machines (288-1) unstable; urgency=medium

  * New upstream release:
    - Show an alert when virtualization is disabled in BIOS/EFI
    - Indicate need for shutdown
    - Delete storage file upon disk detachment

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Apr 2023 12:12:49 +0000

cockpit-machines (286-1) unstable; urgency=medium

  * New upstream release:
    - Create VM based on cloud image in "start later" mode
  * Add autopkgtest. This checks that the manifest and data files are
    correctly installed and loaded by Cockpit.

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Mar 2023 08:16:19 +0200

cockpit-machines (285-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Mar 2023 11:44:23 +0100

cockpit-machines (284-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 03 Mar 2023 05:34:02 +0100

cockpit-machines (283-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 12 Feb 2023 07:55:24 +0100

cockpit-machines (282-1) unstable; urgency=medium

  * New upstream release:
    - Option to forcefully revert a snapshot
    - Fix tabular numbers font

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jan 2023 16:50:12 +0100

cockpit-machines (281-1) unstable; urgency=medium

  * New upstream release:
    - Start using tabular fonts
    - Other UI fixes and improvements
    - Summarize system and user session differences
    - Virtual watchdog device support

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 Jan 2023 10:19:42 +0100

cockpit-machines (279-1) unstable; urgency=medium

  * New upstream release:
    - Autodetect file's format when attaching disk
  * debian/watch: Use GitHub API. The /releases page has become JavaScript-y
    recently and thus unreadable by machines. Scan the API instead and
    construct a download URL.

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 Dec 2022 08:07:29 +0100

cockpit-machines (278-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Nov 2022 15:30:29 +0100

cockpit-machines (277-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - Dark theme support
    - Allow TRIM/UNMAP requests by default for newly added disks
    - Insert and eject CD & DVD media

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Nov 2022 09:56:58 +0100

cockpit-machines (276-1) unstable; urgency=medium

  * New upstream release:
    - Add connection information to the VM detail page

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Oct 2022 07:26:02 +0200

cockpit-machines (275-1) unstable; urgency=medium

  * New upstream release:
    - Improvements of offline token management

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Sep 2022 06:45:08 +0200

cockpit-machines (274-1) unstable; urgency=medium

  * New upstream release:
    - Fix downloading of RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 10:25:31 +0200

cockpit-machines (272-1) unstable; urgency=medium

  * New upstream release:
    - Download RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jul 2022 13:38:09 +0200

cockpit-machines (271-1) unstable; urgency=medium

  * New upstream release:
    - Test fixes

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jun 2022 13:35:10 +0200

cockpit-machines (270.1-1) unstable; urgency=medium

  * New upstream release:
    - Redesign content removal dialogs

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jun 2022 11:05:20 +0200

cockpit-machines (268-1) unstable; urgency=medium

  * New upstream release:
    - Provide default name for new VMs

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 May 2022 16:46:58 +0200

cockpit-machines (266-1) unstable; urgency=medium

  * New upstream release:
    - Redesign VM creation
    - Remove static hosts from virtual network's DHCP

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Apr 2022 09:45:53 +0200

cockpit-machines (265-1) unstable; urgency=medium

  * New upstream release:
    - Translation updates
    - Tests robustification

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Mar 2022 17:08:25 +0200

cockpit-machines (264-1) unstable; urgency=medium

  * New upstream release:
    - Disk serial number
    - Multiple fixes for host device attachment

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Mar 2022 06:17:56 +0100

cockpit-machines (263-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Delete storage files also when the VM is shut off
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Mar 2022 06:45:51 +0100

cockpit-machines (262-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix broken VM deletion dialog layout
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Feb 2022 10:28:22 +0100

cockpit-machines (261-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Feb 2022 16:50:54 +0100

cockpit-machines (260-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jan 2022 08:42:47 +0100

cockpit-machines (259-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jan 2022 13:16:16 +0100

cockpit-machines (258-1) unstable; urgency=medium

  * New upstream version 258:
    - Move storage pool actions outside of the expanded row
    - Move the 'Overview' tab content from the network rows to the expanded
      row directly

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Dec 2021 17:18:03 +0100

cockpit-machines (256-1) unstable; urgency=medium

  * New upstream version 256:
    - Support selecting between consoles of the same type

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Nov 2021 13:53:48 +0100

cockpit-machines (255-1) unstable; urgency=medium

  * New upstream version 255:
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2021 14:44:45 +0200

cockpit-machines (254-1) unstable; urgency=medium

  * New upstream version 254:
    - Support configuring static MAC IP address mappings

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Oct 2021 14:54:23 +0200

cockpit-machines (253-1) unstable; urgency=medium

  * New upstream version 252:
    - Add support for renaming VMs
  * New upstream version 253:
    - Support adding and removing host devices
  * debian/watch: Move to *.xz tarballs

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Sep 2021 07:55:15 +0200

cockpit-machines (251-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Sep 2021 18:37:21 +0200

cockpit-machines (250-1) unstable; urgency=medium

  * New upstream release:
    - Shared directories can be removed from a VM

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 08:03:26 +0200

cockpit-machines (249-1) experimental; urgency=medium

  * New upstream release:
    - Lots of bug fixes
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Aug 2021 10:02:06 +0200

cockpit-machines (248-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Jul 2021 18:45:24 +0200

cockpit-machines (243-1) experimental; urgency=medium

  * New upstream release:
    - PatternFly 4 updates
    - Translation updates
    - Correctly manage editing of unknown bus type

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Apr 2021 13:54:06 +0200

cockpit-machines (241-1) experimental; urgency=medium

  * Upstream project/source package got split out from cockpit.
    (Closes: #985768)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Mar 2021 09:31:23 +0100
